int main() 
{
	
	Strategy *a = new Strategy( 5 );

	Strategy *b = new Strategy( a );

	Strategy *c = new Strategy( 5 );

	for (int i=0;i<2048; i++)

		if ( a->st[i] == b->st[i] )

			cout << "true";
	
		else

			cout << "false";

		if ( c->st[i] == a->st[i] )

			cout << "match";

		else

			cout << "mismatch";

		cout << a->updateScore(10);

		cout << a->getScore();

		cout << a->getBar(3);

		cout << a->getStrat(3);

		cout << a->hash(3);

		return 0;

}